Bijwerkbeheer Linux Mint geeft foutmelding

Vragen over Grub, de liveCD en de installer
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Do 14 Mei 2020, 23:27

Afgelopen week ging er iets mis met het installeren van bijgewerkte bestanden in Linux Mint. (Ik werk zelf overigens met versie 18.2 'Sonya', Cinnamon 64-bit.) Ik zag dat het programma om de een of andere reden blokkeerde, doordat er een bepaald bestand niet kon worden gevonden. Niet wetende wat ik toen moest doen, heb ik de computer toen maar uitgezet en kort daarna opnieuw opgestart. Maar sindsdien krijg ik steeds de volgende foutmelding als ik nu de nieuwste bijgewerkte bestanden wil installeren:
E: dpkg werd onderbroken; voer handmatig 'dpkg --configure -a' uit om het probleem te verhelpen.
E: _cache->open() failed, please report.


Maar als ik nu in het terminalvenster de genoemde opdracht 'dpkg --configure -a' wil uitvoeren, krijg ik de volgende melding:
dpkg: fout: deze bewerking kan alleen uitgevoerd worden door de systeembeheerder

Weet iemand hoe ik dit probleem kan verhelpen, zodat mijn systeem alsnog de nieuwste bijgewerkte bestanden kan installeren? Alvast bedankt voor de hulp.
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Do 14 Mei 2020, 23:34

sudo apt update
paswoord
sudo dpkg --configure -a
sudo apt dist-upgrade
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Vr 15 Mei 2020, 21:46

Dank voor je reactie, DeBaas. Even nog een vraagje: moet ik na die derde regel 'sudo dpkg --configure -a' meteen de vierde regel 'sudo apt dist-upgrade' ingeven, of moet dat pas op het eind? En kan het kwaad voor de computer als er iets misgaat?
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Za 16 Mei 2020, 00:27

Na elke regel wacht je tot de machine klaar is.
Na elke sudo regel wordt eigenlijk om het paswoord gevraagd.
Maar dat wordt een tijdje onthouden zodat dat bij opvolgende sudo opdrachten al automatisch is ingevuld.
Gewoon logisch kijken en lezen tijdens het invullen en bevestigen ;)
Succes,
Ed
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Za 16 Mei 2020, 00:28

En NEE de computer zelf gaat er niet van stuk............
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Za 16 Mei 2020, 21:57

Helaas, ik krijg via het teriminalvenster steeds hetzelfde te lezen, net als bij de update vorige week waar het mis ging.
Bij de eerste commandoregel (sudo apt update) en het ingeven van het wachtwoord lijkt alles nog goed te gaan.

Echter na het ingeven van het commando sudo dpkg --configure -a lijkt hij alsmaar in dezelfde lus als afgelopen week te blijven hangen. Ik krijg dan constant dezelfde berichten te lezen:

Warning: No support for locale: nl_NL.utf8
update-initramfs: Generating /boot/initrd.img-4.15.0-91-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915


Is er een manier om uit deze update-impasse te raken? Of had ik die derde regel (sudo dpkg --configure -a) misschien het beste kunnen overslaan, en meteen door kunnen gaan naar de vierde regel (sudo apt dist-upgrade)?
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Za 16 Mei 2020, 22:11

Het is ook goed mogelijk dat de problemen samenhangen met het programma Google Earth. Dat heb ik ooit geïnstalleerd, maar het lijkt dat er op de een of andere manier geen updates meer gegeven kunnen worden, waardoor ik de laatste maanden steeds een melding kreeg dat de pakketbron niet ververst kon worden.
Als dat zo is, kan ik er dan voor zorgen dat het updaten van dit programma automatisch uitgezet wordt?

In het terminalvenster kreeg ik hierover net de volgende meldingen bij bovengenoemde update (sudo apt update):

E: De pakketbron 'http://dl.google.com/linux/earth/deb stable Release' heeft niet langer een ondertekening.
N: Bijwerken van de pakketlijst uit een dergelijke pakketbron kan niet veilig gebeuren en is daarom standaard uitgezet.
N: Zie de man-pagina apt-secure(8) voor details over het aanmaken van een pakketbron en over de configuratie langs gebruikerskant.


Wat kan ik nu het beste doen om uit deze vervelende lus te raken?
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Za 16 Mei 2020, 22:25

Updtate: ik heb net opnieuw de commando's ingevoerd. Ditmaal lijkt het systeem die lus met die steeds herhaalde waarschuwing 'No support for locale: nl_NL.utf8' toch nog te kunnen oplossen. Ik weet niet precies hoe dat precies in zijn werk ging (daarvoor ging het allemaal te snel), maar het voornaamste is: het lijkt erop dat de updates nu alsnog konden worden geïnstalleerd.
In ieder geval bedankt voor de nuttige steun!
stegiman
Senior
Senior
Berichten: 268
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor stegiman » Za 16 Mei 2020, 23:06

Kijk ook na of videokaart driver goed is.
Systeeminstellingen / beheer gedeelte onderaan / stuurprogrammabeheer
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Za 16 Mei 2020, 23:26

Warning: No support for locale: nl_NL.utf8
# dat klopt, maar nl-NL valt terug naar en-US en dat is ook de bedoeling, is alleen maar een te negeren waarschuwing.
update-initramfs: Generating /boot/initrd.img-4.15.0-91-generic
# is niets mis mee
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
# Zou een tijdelijke discrepantie in de software lijst kunnen zijn, niet gesyncte database.
# Als dit aan de serverkant is bijgewerkt zou dat na een "sudo apt update" allemaal weer gewoon moeten kunnen updaten.
LAATSTAN
Nieuweling
Nieuweling
Berichten: 23
Lid geworden op: Di 10 Okt 2017, 21:04

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor LAATSTAN » Ma 18 Mei 2020, 16:48

Dank voor de nuttige tips. Het updaten gaat nu weer naar behoren. Wel krijg ik nog elke keer een melding dat niet alle pakketbronnen konden worden opgehaald. ("De pakketbron 'http://dl.google.com/linux/earth/deb stable Release' heeft niet langer een ondertekening.")
Maar gelukkig zijn de andere problemen in ieder geval opgelost. Dank daarvoor!
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Ma 18 Mei 2020, 17:21

http://dl.google.com/linux/earth/deb
Is niet een standaard pakketbron.
Als Google iets wijzigt of een oudere versie checksum of ondertekening gebruikt kun je het probleem niet bij Mint leggen.
Het huidige .deb pakket kun je halen op:
https://www.google.nl/earth/download/gep/agree.html
Niet gegarandeerd dat deze waarschuwing dan wegblijft.
Jamint
Junior
Junior
Berichten: 74
Lid geworden op: Zo 21 Jan 2018, 22:10
Locatie: Noord-Brabant NL

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor Jamint » Do 21 Mei 2020, 10:45

Dank voor de nuttige tips. Het updaten gaat nu weer naar behoren. Wel krijg ik nog elke keer een melding dat niet alle pakketbronnen konden worden opgehaald. ("De pakketbron 'http://dl.google.com/linux/earth/deb stable Release' heeft niet langer een ondertekening.")
Maar gelukkig zijn de andere problemen in ieder geval opgelost. Dank daarvoor!

Hieruit concludeer ik dat Google tijdens installatie van ‘Earth’ automatisch toestemming heeft gekregen - uiteraard via je Linux wachtwoord - om Google Earth toe te voegen aan de Extra pakketbronnen anders krijg je die waarschuwing niet. (zie onderaan*)
Op zich is er niets mis met deze wijze van pakketbron toevoeging, integendeel: het is zelfs prima want je blijft verzekerd van veiligheidsupdates, maar een duidelijke kennisgeving van Google zou wel netjes zijn. Of staat er in je herinnering een mededeling van Google dat Earth aan de pakketbronnen zou worden toegevoegd tijdens installatie?

Kijk eens via het Linux menu bij ‘Beheer’ en dan in ‘Pakketbronnen’ bij Extra pakketbronnen of daar Google Earth bij staat. Zo ja dan is het waarschijnlijk dat Google verstek laat gaan bij de signature van de updatebron voor Linux. Dat hoort niet zo!... maar ja, het is dan even niet anders.

(*) Motivatie mijnerzijds: Ik heb dat heel af en toe (1 keer per jaar of zo) bij de webbrowser Waterfox die niet in de officiele pakketbronnen zit maar ik zelf heb toegevoegd. Ik krijg dan ook dezelfde mededeling als jij, maar na een week of zo vindt de update gewoon probleemloos plaats.
If it ain't broke, don't fix it.
Gebruikersavatar
DeBaas
Held
Held
Berichten: 385
Lid geworden op: Di 21 Sep 2010, 23:00
Locatie: Den Haag

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor DeBaas » Do 21 Mei 2020, 11:04

Het Google Earth pakket is al wat ouder.
Er is een web versie die het uitstekend doet onder Google-Chrome.
https://www.google.nl/intl/nl/earth/
Google-Chrome staat niet standaard in het programma beheer, dien je apart te installeren.
https://www.google.com/intl/nl_nl/chrome/
Deze maakt ook een eigen ppa aan.
Mogelijk kun je Chromium gebruiken.
(opties opties opties)

Oh chips ik loop achter, werkt in de huidige versie ook in Firefox.
stegiman
Senior
Senior
Berichten: 268
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Bijwerkbeheer Linux Mint geeft foutmelding

Berichtdoor stegiman » Do 21 Mei 2020, 14:50

Het werkt wel goed maar Earth is nog steeds ouderwets want de foto's worden niet ge-update.
Ik heb als test ons huis gekeken en dat zijn foto van zeker meer dan 10 jaar.
Eigenlijk niks meer waard.

Terug naar “Installatie & Boot”

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 2 gasten